<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Samples.BlendShapeControl Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_samples_1_1_blend_shape_control.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_samples_1_1_blend_shape_control-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Samples.BlendShapeControl Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TriLib.Samples.BlendShapeControl:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_samples_1_1_blend_shape_control.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a11ab6c36c38919a4055bd5faac019c31"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a11ab6c36c38919a4055bd5faac019c31">OnValueChange</a> (float value)</td></tr>
<tr class="memdesc:a11ab6c36c38919a4055bd5faac019c31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the loaded model blend-shape value accordingly.  <a href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a11ab6c36c38919a4055bd5faac019c31">More...</a><br /></td></tr>
<tr class="separator:a11ab6c36c38919a4055bd5faac019c31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a79a628ac73965135aed501cf5c35ca64"><td class="memItemLeft" align="right" valign="top">SkinnedMeshRenderer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a79a628ac73965135aed501cf5c35ca64">SkinnedMeshRenderer</a></td></tr>
<tr class="memdesc:a79a628ac73965135aed501cf5c35ca64"><td class="mdescLeft">&#160;</td><td class="mdescRight">UnityEngine.SkinnedMeshRenderer assigned to the blend-shape.  <a href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a79a628ac73965135aed501cf5c35ca64">More...</a><br /></td></tr>
<tr class="separator:a79a628ac73965135aed501cf5c35ca64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ac2dd6e21101229f49d723e08522e79"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a7ac2dd6e21101229f49d723e08522e79">BlendShapeIndex</a></td></tr>
<tr class="memdesc:a7ac2dd6e21101229f49d723e08522e79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Blend-shape index.  <a href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a7ac2dd6e21101229f49d723e08522e79">More...</a><br /></td></tr>
<tr class="separator:a7ac2dd6e21101229f49d723e08522e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ad5451c694f4f3c357058759ccbd6468d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#ad5451c694f4f3c357058759ccbd6468d">Text</a><code> [getset]</code></td></tr>
<tr class="memdesc:ad5451c694f4f3c357058759ccbd6468d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets/Sets the related UI component text.  <a href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#ad5451c694f4f3c357058759ccbd6468d">More...</a><br /></td></tr>
<tr class="separator:ad5451c694f4f3c357058759ccbd6468d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a11ab6c36c38919a4055bd5faac019c31" name="a11ab6c36c38919a4055bd5faac019c31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11ab6c36c38919a4055bd5faac019c31">&#9670;&nbsp;</a></span>OnValueChange()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.BlendShapeControl.OnValueChange </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the loaded model blend-shape value accordingly. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>Blend weight.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7ac2dd6e21101229f49d723e08522e79" name="a7ac2dd6e21101229f49d723e08522e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ac2dd6e21101229f49d723e08522e79">&#9670;&nbsp;</a></span>BlendShapeIndex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TriLib.Samples.BlendShapeControl.BlendShapeIndex</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Blend-shape index. </p>

</div>
</div>
<a id="a79a628ac73965135aed501cf5c35ca64" name="a79a628ac73965135aed501cf5c35ca64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a628ac73965135aed501cf5c35ca64">&#9670;&nbsp;</a></span>SkinnedMeshRenderer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SkinnedMeshRenderer TriLib.Samples.BlendShapeControl.SkinnedMeshRenderer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>UnityEngine.SkinnedMeshRenderer assigned to the blend-shape. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="ad5451c694f4f3c357058759ccbd6468d" name="ad5451c694f4f3c357058759ccbd6468d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5451c694f4f3c357058759ccbd6468d">&#9670;&nbsp;</a></span>Text</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Samples.BlendShapeControl.Text</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets/Sets the related UI component text. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Samples/Scripts/<a class="el" href="_blend_shape_control_8cs.html">BlendShapeControl.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_samples.html">Samples</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html">BlendShapeControl</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
